%YAML 1.1
---
gfVersion: v1.0
class: app

name: bwa-mem-gf
description: BWA Mem
repo_uri: https://gitlab.com/geneflow/apps/bwa-mem-gf.git
version: '0.7.17-03'
inputs:
  input:
    label: Sequence FASTQ File
    description: Sequence FASTQ file
    type: File
  pair:
    label: Paired-End Sequence FASTQ File
    description: Paired-end sequence FASTQ file
    type: File
  reference:
    label: Reference Index
    description: Reference index directory
    type: Directory
parameters:
  threads:
    label: CPU Threads
    description: Number of CPU threads used for alignment
    type: int
    default: 2
  output:
    label: Output SAM File
    description: Output SAM file
    type: File
definition:
{% if agave %}
  agave:
    agave_app_id: {{ agave.appsPrefix }}-bwa-mem-gf-0.7.17.03{{ revision }}
{% endif %}
  local:
    script: bwa-mem-gf.sh
...